Name: ovirt-engine-dashboard
Summary: oVirt Engine Dashboard
Version: 1.0.6
Release: 1%{?dist}
License: ASL 2.0
URL: http://www.ovirt.org/
Source: ovirt-engine-dashboard-1.0.6.tar.gz

ExclusiveArch: x86_64

BuildRequires: ovirt-engine-nodejs >= 4.4.6
BuildRequires: ovirt-engine-nodejs-modules >= 0.0.12

Requires: ovirt-engine-webadmin-portal >= 4.0.2

%description
oVirt UI plugin that gives overview of the virtualized environment and its specific objects.

%prep

# Unpack the source:
%setup -q -n %{name}-%{version}

# Set up Node.js environment with npm dependencies linked to ./node_modules:
source %{_datadir}/ovirt-engine-nodejs-modules/setup-env.sh

# Build the application:
npm run build

%install

# Install the files:
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r dist/* %{buildroot}%{_datadir}/%{name}

# Ensure that Engine ui-plugins directory exists:
mkdir -p %{buildroot}%{_datadir}/ovirt-engine/ui-plugins

# Link application's resources to Engine ui-plugins directory:
ln -s "%{_datadir}/%{name}/dashboard.json" "%{buildroot}%{_datadir}/ovirt-engine/ui-plugins"
ln -s "%{_datadir}/%{name}/dashboard-resources" "%{buildroot}%{_datadir}/ovirt-engine/ui-plugins"

%files
%{_datadir}/%{name}
%{_datadir}/ovirt-engine/ui-plugins/dashboard.json
%{_datadir}/ovirt-engine/ui-plugins/dashboard-resources
%doc README.adoc
%license LICENSE

%changelog
* Sun Nov 27 2016 Greg Sheremeta <gshereme@redhat.com> - 1.0.6-1
- 1.0.6-1.

* Tue Oct 11 2016 Greg Sheremeta <gshereme@redhat.com> - 1.0.5-1
- 1.0.5-1.

* Tue Sep 6 2016 Greg Sheremeta <gshereme@redhat.com> - 1.0.4-1
- 1.0.4-1.

* Wed Aug 24 2016 Greg Sheremeta <gshereme@redhat.com> - 1.0.3-1
- 1.0.3 release.

* Tue Aug 2 2016 Vojtech Szocs <vszocs@redhat.com> - 1.0.2-1
- 1.0.2 initial release.

* Tue Aug 2 2016 Vojtech Szocs <vszocs@redhat.com> - 1.0.1-3
- Bump ovirt-engine-nodejs-modules BuildRequires to 0.0.12.
- Bump ovirt-engine-webadmin-portal to 4.0.2 to leverage oVirt
  UI plugin API enhancement: https://bugzilla.redhat.com/1361255

* Thu Jul 28 2016 Vojtech Szocs <vszocs@redhat.com> - 1.0.1-2
- Bump ovirt-engine-nodejs-modules BuildRequires to 0.0.10.

* Wed Jul 20 2016 Vojtech Szocs <vszocs@redhat.com> - 1.0.1-1
- 1.0.1 release 1.

* Mon Jul 18 2016 Vojtech Szocs <vszocs@redhat.com> - 1.0.0-0.5
- Bump ovirt-engine-nodejs-modules BuildRequires to 0.0.9.

* Tue Jun 28 2016 Vojtech Szocs <vszocs@redhat.com> - 1.0.0-0.4
- Bump Node.js BuildRequires to 4.4.6.

* Tue Jun 14 2016 Vojtech Szocs <vszocs@redhat.com> - 1.0.0-0.3
- Bump ovirt-engine-nodejs-modules require version.

* Mon May 30 2016 Vojtech Szocs <vszocs@redhat.com> - 1.0.0-0.2
- Require ovirt-engine-webadmin-portal 4.0.0 or greater.

* Thu May 26 2016 Vojtech Szocs <vszocs@redhat.com> - 1.0.0-0.1
- Bump package version to 1.0.0.

* Fri May 20 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.1-2
- Use setup-env.sh script provided by ovirt-engine-nodejs-modules.

* Thu May 19 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.1-1
- Define RPM release tag with optional snapshot information.

* Wed May 18 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.1
- Require ovirt-engine-webadmin-portal instead of ovirt-engine.

* Fri May 6 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.1
- Update spec file to link UI plugin resources to oVirt Engine.

* Thu Apr 21 2016 Vojtech Szocs <vszocs@redhat.com> - 0.0.1
- Initial packaging.
